/*
 * @Description:
 * @Author: leizhe
 * @Date: 2021-09-27 09:42:21
 * @LastEditTime: 2021-09-27 16:49:28
 * @LastEditors: leizhe
 */
import { CITY_SERVICE, get, PUBLISH_SERVICE, post, postForm } from '../index';

// 巡维保计划数据获取
export const CM_XWBPlan_DataList = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_DataList`, query);

// 巡维保计划关联设备台账
export const CM_XWBPlan_AccountTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_AccountTable`, query);

// 计划关联反馈台账表
export const CM_XWBPlan_feedbackTable = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_feedbackTable`, query);

// 巡维保计划数据删除
export const CM_XWBPlan_RemovePlan = query =>
  get(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_RemovePlan`, query);

// 巡维保计划数据编辑OR添加
export const CM_XWBPlan_DataEditORAdd = data =>
  post(`${PUBLISH_SERVICE}/WorkOrderCenter/CM_XWBPlan_DataEditORAdd`, data);
